<template>
  <Page class="page">
    <ActionBar class="action-bar">
      <NavigationButton visibility="hidden" />
      <GridLayout columns="50, *">
        <Label class="action-bar-title" text="Browse" colSpan="2" />

        <Label class="fas" text.decode="&#xf0c9;" @tap="onDrawerButtonTap" />
      </GridLayout>
    </ActionBar>

    <GridLayout rows="auto, *" columns="*">
      <StackLayout row="0" class="px-3 pt-2">
        <TextField hint="Lugar de recogida" v-model="query" />
      </StackLayout>
      <ScrollView row="1">
        <Items :query="query"></Items>
      </ScrollView>
    </GridLayout>

  </Page>
</template>

<script>
import * as utils from "~/shared/utils";

import { SelectedPageService } from "../shared/selected-page-service";
import Items from "./Items.vue";

export default {
  data: () => ({ query: "", }),
  mounted() {
    SelectedPageService.getInstance().updateSelectedPage("Browse");
  },
  computed: {
    message() {
      return "<!-- Page content goes here -->";
    }
  },
  methods: {
    onDrawerButtonTap() {
      utils.showDrawer();
    }
  },
  components: { Items }
};
</script>

<style scoped lang="scss">
// Start custom common variables
@import '@nativescript/theme/scss/variables/blue';
// End custom common variables

// Custom styles
</style>
